#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <time.h>
#include "s2plot.h"

XYZ *xyz;				/* Global array - text position */
int N;					/* Number of text labels */

void cb(double *t, int *kc)
/* A dynamic callback */
{
   int i;				/* Loop variable */
   int scale = 1;			/* Scale text with distance */
   XYZ ioff = { 0.01, 0.01, 0.0 };	/* Small offsets - must be non-zero */
					/*  z offset is ignored */
   
   s2sch(0.2);				/* Set the text height */
   for (i=0;i<N;i++) {			/* Draw the billboard labels */
      ds2vtb(xyz[i], ioff, "S2PLOT", scale);
   }
}


int main(int argc, char *argv[])
{
   int i;					/* Loop variable */
   srand48((long)time(NULL));			/* Seed random numbers */

   s2opend("/S2MONO",argc,argv);		/* Open the display */
   s2swin(-1.5,1.5, -1.5,1.5, -1.5,1.5);
   s2box("BCDE",0,0,"BCDE",0,0,"BCDE",0,0);	/* Draw coord box */

   N = 20;					/* Number of labels to draw */
   xyz = (XYZ *)calloc(N, sizeof(XYZ));

   for (i=0;i<N;i++) {			/* Create N random (x,y,z) values */
      xyz[i].x = drand48()*2.0 - 1.0;	/* Create N random (x,y,z) values */
      xyz[i].y = drand48()*2.0 - 1.0;
      xyz[i].z = drand48()*2.0 - 1.0;
   }
 
   s2scb(cb);				/* Install a dynamic callback */

   s2show(1);				/* Open the s2plot window */

   return 1;
}
