#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include "s2plot.h"

/* Spacebar: toggle between two projection types */

void cb(double *t, int *kc)
/* A dynamic callback - jitter particle positions each time through */
{
  if ((*kc % 2) == 0) {
     s2lab("","","","Perspective");
     ss2spt(PERSPECTIVE);
  } else {
     s2lab("","","","Orthographic");
     ss2spt(ORTHOGRAPHIC);
  }
}

int main(int argc, char *argv[])
{
   int i, N = 20;
   float x[20], y[20], z[20];			/* Static geometry */

   srand48((long)time(NULL));			/* Seed random numbers */
   for (i=0;i<N;i++) {
      x[i] = drand48()*4.0-2.0;			/* Random positions */
      y[i] = drand48()*4.0-2.0;
      z[i] = drand48()*4.0-2.0;
   }
  
   s2opend("/?",argc, argv);			/* Open the display */
   s2swin(-2.,2., -2.,2., -2.,2.);		/* Set the window coordinates */
   s2box("BCDET",0,0,"BCDET",0,0,"BCDET",0,0);	/* Draw coordinate box */

   cs2scb(&cb);                                  /* Install the callback */
 
   s2slw(4);					/* Set line width */
   s2sci(S2_PG_YELLOW);
   s2pt(N,x,y,z,1);				/* Draw static data */
   s2slw(1);

   s2textxy(-2.0, 0.5, 0.0,"Press <space> and numbers");

   s2show(1);					/* Open the s2plot window */
   
   return 1;
}

