c fs2uc1.f: demonstration / use case 1 for S2PLOT library.
c
c David Barnes, November 2005
c
c $Id: fs2uc1.f,v 3.1.1.1 2006/12/22 03:33:25 dbarnes Exp $
c
c Demonstrates plotting points, error bars and drawing and labelling
c coordinate axes and labels from a FORTRAN driver program.
c
c     Some useful variables
      real x1, x2, y1, y2, z1, z2
      real x(40), y(40), z(40)
      real xerr(40), yerr(40), zerr(40)
c     
c     Set the bounds we will use in S2PLOT
      x1 = -100.
      x2 = +100.
      y1 = -100.
      y2 = +100.
      z1 = -50.
      z2 = 150.
c     
c     Fill in the data arrays with points and errors
      DO 20 I=1,40
         x(i) = x1 + RAND(0) * (x2 - x1)
         y(i) = y1 + RAND(0) * (y2 - y1)
         z(i) = z1 + RAND(0) * (z2 - z1)
         xerr(i) = rand(0) * (x2 - x1) * 0.05
         yerr(i) = abs(y(i)) * 0.1
         zerr(i) = (z2 - z1) * 0.1
 20   CONTINUE
c     
c     
c     Open the S2PLOT device, in non-fullscreen, passive stereo mode
      call s2open(0, 2)
c     
c     Set the S2PLOT world coordinate range
      call s2swin(x1, x2, y1, y2, z1, z2)
c     
c     Ask S2PLOT to draw and label a box around the "world"
      call s2scr(354, 1.0, 0.3, 0.5)
      call s2sci(354)
      call s2box('BCDETSMNQ', 0., 0, 'BCDETSMNQ', 0., 0, 
     +     'BCDETSMNQ', 0., 0)
      call s2lab('X-axis', 'Y-axis', 'Z-axis', 
     +     'S2PLOT demonstration 1 program')
c     
c     Plot the points in red
      call s2sci(2)
      call s2pt(40, x, y, z, 0)
c     
c     Plot the error bars with various sized little pixel boxes at each end
      call s2sci(1)
      call s2errb(7, 40, x, y, z, xerr, 2)
      call s2sci(3)
      call s2errb(8, 40, x, y, z, yerr, 2)
      call s2sci(8)
      call s2errb(9, 40, x, y, z, zerr, 3)
c     
c     Go into S2PLOT interactive mode
      call s2show(1)
c     
      end
