! fs2uc10.f: demonstration / use case 10 for S2PLOT library.
!
! David Barnes, October 2006
!
! $Id: fs2uc10.f,v 1.5 2007/04/04 22:58:45 dbarnes Exp $
!
! Demonstrates plotting points and attaching handles.  Press Shift-S
! to toggle selection mode, and Shift-C to toggle crosshair.
!
!      INCLUDE 'fs2uc10.inc'
!     
!     Functions to be used by S2PLOT functions like s2funtc etc., MUST
!     be externally defined for FORTRAN compilations.
      EXTERNAL PICKCB,NEWCALLBACK,INITCALLBACK
!
!     Some variables
      integer i
!
      integer s2opend
!
!     Info for the user
      write(*,*) 'Please note, selection is not enabled in all '
      write(*,*) 'environments.  Press Shift-S to enable selection '
      write(*,*) 'in this demo.  Press Shift-C to enable crosshairs.'
!
!     Open the S2PLOT device, in mono and fullscreen mode
      i = s2opend('/?')
      if (i.eq.0) then
         write(*,*) 'Failed to open S2PLOT device - exiting.'
         call exit(-1)
      endif
!
!     set world coord system
      call s2swin(-100., 100., -100., 100., -10., 10.)
!
!     draw and label a box around the points 
      call s2sci(1)
      call s2box('BCDET', 0., 4, 'BCDET', 0., 1, 'BCDET', 0., 10)
!
!     set things up
      call initcallback()
!
!     register the handle and dynamic callbacks
      call cs2shcb(pickcb)
      call cs2scb(newcallback)
!
!     Go into S2PLOT interactive mode
      call s2show(1)
!     
      end
