! fs2uc11.f: demonstration / use case 11 for S2PLOT library.
!
! David Barnes, October 2006
!
! $Id: fs2uc11.f90,v 1.2 2006/12/22 03:33:25 dbarnes Exp $
!
! Demonstrates display of a nice parametric surface function using
! s2funuv.  Press 'r' once to get specular highlights on the surface.
!
      INCLUDE 'fs2uc11.inc'
!
!     Functions to be used by S2PLOT functions like s2funt, s2funxy, etc.
!     MUST be externally defined for FORTRAN compilations.
      EXTERNAL FX, FY, FZ, FCOL
!     
!     Some useful variables
      REAL X1, X2, Y1, Y2, Z1, Z2
!     
!     Set the bounds we will use in S2PLOT
      X1 = -LIMIT
      X2 =  LIMIT
      Y1 = -LIMIT
      Y2 =  LIMIT
      Z1 = -LIMIT
      Z2 =  LIMIT
!     
!     Open the S2PLOT device, in fullscreen, passive stereo mode
      call s2opend('/?')
!     
!     Set the S2PLOT world coordinate range
      call s2swin(X1, X2, Y1, Y2, Z1, Z2)
!     
!     install a nice colormap
      call s2icm("rainbow", 100, 500)
      call s2scir(100, 500)
!     
!     call the parametric surface function
      call s2funuv(FX, FY, FZ, FCOL, 0., 4.*PI, 320, 0., 2.*PI, 90)
!     
!     Go into S2PLOT interactive mode
      call s2show(1)
!     
      end
