! fs2uc7extern.f90: external functions used by fs2uc7.f90 program
!
! David Barnes, February 2006
!
! $Id: fs2uc7extern.f90,v 3.2 2007/04/04 23:07:00 dbarnes Exp $
!
      SUBROUTINE NEWCALLBACK(T, IC)
      REAL*8 T
      INTEGER IC
      REAL*8 PHASE
      INTEGER ITMP
      LOGICAL*4 TXTID1, TXTID2
      INTEGER TXTLDD
      REAL X1, X2, Y1, Y2, Z1, Z2
      REAL X(2), Y(2), Z(2)
      REAL*8 PF4(3,4), COL(3)
      INCLUDE 'fs2uc7.inc'
      COMMON /SHARED/ PHASE
      SAVE TXTLDD, TXTID1, TXTID2, PF4, COL
      EXTERNAL WAVE
      LOGICAL*4 ss2lt
!
!     on first run, load the textures we will use
      IF (TXTLDD.EQ.0) THEN
!     load textures
         TXTID1 = ss2lt('firetile2_pow2_rgb.tga')
         TXTID2 = ss2lt('strongbluemarble_pow2_rgb.tga')
!     set up PXYZ and COL arrays
         PF4(1,1) = -XLIMIT
         PF4(2,1) = -YLIMIT
         PF4(3,1) = -2.4
         PF4(1,2) = -XLIMIT
         PF4(2,2) =  YLIMIT
         PF4(3,2) = -2.4
         PF4(1,3) =  XLIMIT
         PF4(2,3) =  YLIMIT
         PF4(3,3) = -2.4
         PF4(1,4) =  XLIMIT
         PF4(2,4) = -YLIMIT
         PF4(3,4) = -2.4
         COL(1) = 1.
         COL(2) = 1.
         COL(3) = 1.
!     mark so we don't do this again
         TXTLDD = 1
      ENDIF
!
! phase is between 0 and 4 seconds
      ITMP = T / 4.
      PHASE = T - 1. * ITMP * 4.
! draw the wave
      call s2funxyr(WAVE, 30, 30, -XLIMIT, XLIMIT, -YLIMIT, YLIMIT, &
           0, -2., 2.)
! draw some annotations
!      call s2sci(7)
      call s2sci(MOD(IC, 15) + 1)
      call s2sch(2.)
!      call s2pt1(0., 0., WAVE(0., 0.) + 0.2, 4)
      call ss2ssr(32)
      IF (MOD(IC, 2).EQ.1) THEN
         call s2spheretid(0., 0., WAVE(0., 0.) + 0.4, 0.5,  &
              1., 1., 1., TXTID1)
!
         call s2vf4tid(PF4, COL, TXTID2, 1., 'o')
      ELSE
         call s2pt1(0., 0., WAVE(0., 0.) + 0.2, 4)
      ENDIF
!
! extract the world space bounds
      call s2qwin(X1, X2, Y1, Y2, Z1, Z2)
! draw a "rubber" line to the ball
      X(1) = 0.
      X(2) = 0.
      Y(1) = 0.
      Y(2) = 0.
      Z(1) = WAVE(0., 0.) + 0.2
      Z(2) = Z2
      call s2line(2, X, Y, Z)
! and axes in the "top" xy plane
      Z(1) = Z2
      X(1) = X1
      X(2) = X2
      Y(1) = 0.
      Y(2) = 0.
      call s2line(2, X, Y, Z)
      X(1) = 0.
      X(2) = 0.
      Y(1) = Y1
      Y(2) = Y2
      call s2line(2, X, Y, Z)
      RETURN
      END
